#!/usr/local/cpanel/3rdparty/bin/perl -w

#                                      Copyright 2025 WebPros International, LLC
#                                                           All rights reserved.
# copyright@cpanel.net                                         http://cpanel.net
# This code is subject to the cPanel license. Unauthorized copying is prohibited

package t::medium::Cpanel::Template::Plugin::Sitejet;

use cPstrict;

use Test2::V0;

use Test::Exception;
use Test::MockFile;
use Test::MockObject;

use Test::Cpanel::Policy;

use parent qw(
  Cpanel::TestObj
);

use Cpanel::Template::Plugin::Sitejet ();

__PACKAGE__->new()->runtests() if !caller;

#----------------------------------------------------------------------

#e.g., num_method_tests()
sub new ( $class, @args ) {
    my $self = $class->SUPER::new(@args);
    return $self;
}

#e.g., set environs before running tests
sub runtests ( $self, @args ) {
    return $self->SUPER::runtests(@args);
}

# nothing to test here but we might use Cpanel::Template::Plugins::Sitejet
# in future, so retaining the script and unit tests for now
sub test_template : Tests(1) ($self) {
    ok( 1, 1, "dummy test to make it return true" );
    return;
}

1;
